Skip to main content
POST
/
suppressions
Add email(s) to suppression list
curl --request POST \
  --url https://api.lettermint.co/v1/suppressions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "spam_complaint",
  "scope": "team",
  "email": "jsmith@example.com",
  "route_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "emails": [
    "jsmith@example.com"
  ]
}
'
{
  "message": "<string>",
  "data": {
    "created": [
      "<string>"
    ],
    "skipped": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Team API token. Find this in your team settings.

Body

application/json

StoreSuppressionData

reason
enum<string>
required
Available options:
spam_complaint,
hard_bounce,
unsubscribe,
manual
scope
enum<string>
required
Available options:
team,
project,
route
email
string<email> | null
Maximum string length: 255
route_id
string<uuid> | null
project_id
string<uuid> | null
emails
string<email>[] | null
Required array length: 1 - 1000 elements
Maximum string length: 255

Response

message
required
data
object
required